Skip to navigation
View as Markdown

Assign Tags to Contact Lists

Assign one or more tag IDs to one or more contact list IDs for the partner broadcast system.

This endpoint queues the tag assignment and processes it asynchronously.


Auth

This request requires an access token.

  • Use a Bearer token in the Authorization header:
Authorization: Bearer {{access token}}

Headers

Required:

X-Requested-With: XMLHttpRequest

Request Body (JSON)

Content type: application/json

Schema:

FieldTypeRequiredDescription
idsnumber[]YesContact list IDs to update.
newtagIdsnumber[]YesTag IDs to assign to the specified contact lists.

Example Request

POST https://business.me-mate.net/partners/broadcast/assignTags/contactlisttag
Content-Type: application/json
X-Requested-With: XMLHttpRequest
Authorization: Bearer {{access token}}
{
"ids": [110703],
"newtagIds": [274, 275]
}

Example Success Response (200)

{"status":true,"message":"Tags Will Update With in an Hour"}

Notes / Constraints

  • Tag updates are asynchronous and can take ~1 hour to be applied.

  • The response indicates the update has been accepted/queued (not necessarily completed).

Headers

X-Requested-WithstringOptional

Request

This endpoint expects a string.

Response

OK
statusboolean
messagestring